unbound: entry Struct Reference

unbound 0.1

Data Fields
entry Struct Reference

data structure to keep the canned queries in. More...

`#include <testpkts.h>`

## Data Fields
uint8_t | match_opcode
| match query opcode with answer opcode
uint8_t | match_qtype
| match qtype with answer qtype
uint8_t | match_qname
| match qname with answer qname
uint8_t | match_rcode
| match rcode with answer rcode
uint8_t | match_question
| match question section
uint8_t | match_answer
| match answer section
uint8_t | match_subdomain
| match qname as subdomain of answer qname
uint8_t | match_serial
| match SOA serial number, from auth section
uint8_t | match_ede
| match EDNS EDE info-code
uint8_t | match_ede_any
| match any EDNS EDE info-code
uint8_t | match_all
| match all of the packet
uint8_t | match_all_noedns
| match all of the packet; ignore EDNS
uint8_t | match_ttl
| match ttls in the packet
uint8_t | match_do
| match DO bit
uint8_t | match_noedns
| match absence of EDNS OPT record in query
uint8_t | match_ednsdata_raw
| match edns data field given in hex
uint32_t | ixfr_soa_serial
| match query serial with this value.
enum transport_type | match_transport
| match on UDP/TCP
uint16_t | ede_info_code
| match EDNS EDE info-code with this value.
struct reply_packet * | reply_list
| pre canned reply
uint8_t | copy_id
| how to adjust the reply packet
uint8_t | copy_query
| copy the query nametypeclass from query into the answer
uint8_t | copy_ednsdata_assume_clientsubnet
| copy ednsdata to reply, assume it is clientsubnet and adjust scopemask to match sourcemask
uint8_t | increment_ecs_scope
| increment the ECS scope copied from the sourcemask by one
unsigned int | sleeptime
| in seconds
int | lineno
| some number that names this entry, line number in file or so
struct entry * | next
| next in list

## Detailed Description

data structure to keep the canned queries in.

format is the 'matching query' and the 'canned answer'

## Field Documentation

## ◆ copy_id

uint8_t entry::copy_id

how to adjust the reply packet

copy over the ID from the query into the answer

Referenced by adjustline(), new_entry(), and run_scenario().

The documentation for this struct was generated from the following file:

- testcode/testpkts.h